Subject: bug#47440: 27.1; Quit/C-g does not interrupt Emacs promptly.

From: Stefan Monnier <[email-masked]>
Date: Sun, 28 Mar 2021 00:13:39 -0400

> *** This report is related to the Proof General Issues "Proof General
> freezes after I-search #565. ***

> I use Proof General Version 4.5-git, Company-Coq.

> The bug description is as follows.
> I did "I-search" (C-s) then "proof-assert-next-command-interactive" (C-c
> C-n), but the proof process got stuck.
> So I pressed "Quit" (C-g), however the backtrace did not appear
> promptly.

> For your information, the backtrace is the following.
[...]

Could you try to put the following in say ~/tempfile.el

    (require 'dbus)
    (dbus-call-method
     :session "org.freedesktop.Notifications"
     "/org/freedesktop/Notifications" "org.freedesktop.Notifications"
     "Notify" :string "Emacs" :uint32 0
     :string "/Users/yosukeito/.emacs.d/elpa/company-coq-2020072..."
     :string "Prover ready! (proof took 44.29s)"
     :string "" '(:array) '((:dict-entry "urgency" (:variant :byte 1)))
     :int32 -1)

then do `emacs -Q ~/tempfile.el` and in that Emacs do
`M-x eval-buffer RET`.

This should presumably suffer from the same freeze as you
saw with company-coq.  Then hit C-g while it's frozen.
Does it still fail to interrupt Emacs immediately?

        Stefan